package dao;

import static org.junit.Assert.*;

import org.junit.Before;
import org.junit.Test;

import util.Conexao;


public class DisciplinaDAOTestCase {
	
	Conexao conexao;
	String codigo1,codigo2,codigo3;
	String nome1,nome2,nome3;
	int cargaHoraria1,cargaHoraria2,cargaHoraria3;

	@Before
	public void setUp() throws Exception {
		conexao = new Conexao();
		codigo1 = "111";
		nome1 = "Disciplina111";
		cargaHoraria1 = 1;
		codigo2 = "222";
		nome2 = "Disciplina222";
		cargaHoraria2 = 2;
		codigo3 = "333";
		nome3 = "Disciplina333";
		cargaHoraria3 = 3;
	}

	@Test
	public void testCria() {
		assertNotNull(conexao.conectar());
		assertNotNull(codigo1);
		assertNotNull(nome1);
		assertFalse(cargaHoraria1 <= 0);
		assertNotNull(codigo2);
		assertNotNull(nome2);
		assertFalse(cargaHoraria2 <= 0);
		assertNotNull(codigo3);
		assertNotNull(nome3);
		assertFalse(cargaHoraria3 <= 0);
	}

	@Test
	public void testExtingue() {
		assertNotNull(conexao.conectar());
		assertNotNull(codigo1);
		assertNotNull(codigo2);
		assertNotNull(codigo3);
	}

	@Test
	public void testAlteraDados() {
		assertNotNull(conexao.conectar());
		assertNotNull(codigo1);
		assertNotNull(codigo2);
		assertNotNull(codigo3);
	}

	@Test
	public void testListaDados() {
		assertNotNull(conexao.conectar());
	}

}
